<?php

class Class_v4_wp1crm_Extensions_EM_WC
{
	public function __construct()
	{
		add_action('init', [$this, 'init']);

		return $this;
	}

	public function init()
	{
		if (!defined('EM_WC_DIR'))
			return;

		// show reduced woocommerce price
		add_filter('em_locate_template', [$this, 'relocate_em_templates'], 20, 2);
		add_filter('em_ticket_get_price', [$this, 'em_ticket_get_woo_price'], 10, 2);
	}

	public function em_ticket_get_woo_price($price, $EM_Ticket)
	{
		try {
			$product_id = Events_Manager_WooCommerce\Product::get_ticket_product_id($EM_Ticket);
			// check if product has discount
			$product = wc_get_product($product_id);
			$price = $product->get_price();
		} catch (WC_Data_Exception $e) {
			// do nothing. use EM price
		}

		return $price;
	}

	public function relocate_em_templates($located, $template_name)
	{
		// child theme has priority
		$theme_located = locate_template(array('plugins/events-manager/' . $template_name));

		if ($theme_located)
			$located = $theme_located;
		else
			switch ($template_name) {
				case 'forms/bookingform/tickets-list.php':
					$located = __DIR__ . '/partials/oauth/em/forms/bookingform/tickets-list.php';
					break;
			}

		return $located;
	}

}
