(function ($, wp) {
    'use strict';

    //const {__} = wp.i18n;

    //console.log(v4_wp1crm_extensions);

    /**
     * All of the code for your public-facing JavaScript source
     * should reside in this file.
     *
     * Note: It has been assumed you will write jQuery code here, so the
     * $ function reference has been prepared for usage within the scope
     * of this function.
     *
     * This enables you to define handlers, for when the DOM is ready:
     *
     * $(function() {
     *
     * });
     *
     * When the window is loaded:
     *
     * $( window ).load(function() {
     *
     * });
     *
     * ...and/or other possibilities.
     *
     * Ideally, it is not considered best practise to attach more than a
     * single DOM-ready or window-load handler for a particular page.
     * Although scripts in the WordPress core, Plugins and Themes may be
     * practising this, we should strive to set a better example in our own work.
     *
     */

    $(document).ready(function () {

        if ($('form.woocommerce-checkout').length > 0) {
            var $billing_country = $('#billing_country'),
                country = $billing_country.val(),
                ust_wrapper = $('#tax_information_field');
            v4_change_ust_required_status(ust_wrapper, country);

            //tax_information
            $billing_country.on('change', function () {
                var country = $(this).val(),
                    ust_wrapper = $('#tax_information_field');

                v4_change_ust_required_status(ust_wrapper, country);
            });
        }

        /*
            EM
         */

        let em_booking_form = $('.em-booking-form');
        let em_booking_form_toggle = $('.em-booking-form-toggle');
        let em_attendee_fields = $('.em-ticket-booking');

        if (em_booking_form_toggle.length > 0) {
            em_booking_form.stop().hide();
            em_booking_form_toggle.on('click', function(e){
                e.preventDefault();
                em_booking_form.stop().slideToggle();
            });
        }

        
        if (v4_wp1crm_extensions.is_user_logged_in) {
            em_booking_form.on('change', function () {
                let wpwh_myself = '<label for="wpwh_myself"><input id="wpwh_myself" class="wpwh_myself" type="checkbox" value="1">&nbsp;' +
                    v4_wp1crm_extensions.attend_myself +
                    '</label>';
                if ($('.em-ticket-booking').first().find('.wpwh_myself').length === 0) {
                    $('.em-ticket-booking').first().find('.input-group').first().prepend(wpwh_myself);

                    $('input.wpwh_myself:checkbox').change( function () {
                        let checked = $(this).is(':checked');
                        let mapping = {
                            email: ['email1', 'attendee_email', 'attendee_email1'],
                            first_name: ['attendee_first_name'],
                            last_name: ['attendee_last_name'],
                            salutation: ['attendee_salutation'],
                            primary_address_street: ['attendee_primary_address_street'],
                            primary_address_city: ['attendee_primary_address_city'],
                            primary_address_country: ['attendee_primary_address_country'],
                            primary_address_postalcode: ['attendee_primary_address_postalcode'],
                        };

                        $(this).closest('.em-ticket-booking').find('input,select').each(function (element) {
                            for (var key in mapping) {
                                for (var i = 0; i < mapping[key].length; i++) {
                                    if (this.name.includes('[' + key + ']') || this.name.includes('[' + mapping[key][i] + ']')) {
                                        if ($(this).value !== "" && checked) {
                                            if(v4_wp1crm_extensions.current_user[key]){
                                                $(this)
                                                    .attr('readonly', 'readonly')
                                                    .val(v4_wp1crm_extensions.current_user[key]);
                                            }
                                        } else {
                                            $(this)
                                                .removeAttr('readonly')
                                                .val('');
                                        }
                                    }
                                }
                            }
                            if (this.name.includes('[name]') || this.name.includes('[attendee_name]')) {
                                if (checked)
                                    $(this).val(v4_wp1crm_extensions.current_user.first_name + ' ' + v4_wp1crm_extensions.current_user.last_name);
                                else
                                    $(this).val('');
                            }
                        });
                    });
                }
            });
            em_booking_form.trigger('change');

        }
    });

    /**
     * @param ust_wrapper
     * @param country
     *
     * @var {} v4_wp1crm_extensions
     */
    var v4_change_ust_required_status = function (ust_wrapper, country) {
        if (typeof (v4_wp1crm_extensions) === "undefined" || v4_wp1crm_extensions === null)
            return;

        if (country === "DE") {
            ust_wrapper
                .find('abbr.required')
                .after(v4_wp1crm_extensions.optional)
                .remove();
        } else {
            ust_wrapper
                .find('span.optional')
                .after(v4_wp1crm_extensions.required)
                .remove();
        }
    }

})(jQuery, wp);
